"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/member/signin.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
if (!Array) {
  const _easycom_uni_tag2 = common_vendor.resolveComponent("uni-tag");
  _easycom_uni_tag2();
}
const _easycom_uni_tag = () => "../../../uni_modules/uni-tag/components/uni-tag/uni-tag.js";
if (!Math) {
  _easycom_uni_tag();
}
const _sfc_main = {
  __name: "s-address-item",
  props: {
    item: {
      type: Object,
      default() {
      }
    },
    hasBorderBottom: {
      type: Boolean,
      defult: true
    },
    spuType: {
      type: Number
    }
  },
  setup(__props) {
    const props = __props;
    const onEdit = () => {
      if (props.spuType == 0) {
        sheep_index.sheep.$router.go("/pages/user/dummyAddress/edit", {
          id: props.item.id
        });
      } else {
        sheep_index.sheep.$router.go("/pages/user/address/edit", {
          id: props.item.id
        });
      }
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: !common_vendor.unref(common_vendor.lodashExports.isEmpty)(props.item)
      }, !common_vendor.unref(common_vendor.lodashExports.isEmpty)(props.item) ? common_vendor.e({
        b: props.item.defaultStatus
      }, props.item.defaultStatus ? {
        c: common_vendor.p({
          size: "small",
          ["custom-style"]: "background-color: var(--ui-BG-Main); border-color: var(--ui-BG-Main); color: #fff;",
          text: "默认"
        })
      } : {}, {
        d: common_vendor.t(props.item.areaName),
        e: common_vendor.t(props.item.detailAddress),
        f: common_vendor.t(props.item.name),
        g: common_vendor.t(props.item.mobile)
      }) : {}, {
        h: common_vendor.unref(sheep_index.sheep).$url.static("/static/images/edit.png"),
        i: common_vendor.o(onEdit),
        j: common_vendor.n({
          "border-bottom": props.hasBorderBottom
        })
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-bb7deb2b"], ["__file", "D:/zx/mall-front-app/sheep/components/s-address-item/s-address-item.vue"]]);
wx.createComponent(Component);
